#ifndef PACKFIELDSVIEW_H
#define PACKFIELDSVIEW_H

#include <QListView>

#include "PackFieldsListModel.h"
#include "DraggableListModel.h"

class PackFieldsView : public QListView
{
    Q_OBJECT
public:
    PackFieldsView(QWidget *parent = 0);

    void setModel(QAbstractItemModel *aModel);
    DraggableListModel* model() const
        { return qobject_cast<DraggableListModel*>(QAbstractItemView::model()); }
public slots:
    void selectIndexes(QList<QPersistentModelIndex> aIndexes);
    void updateCurrent();

};

#endif
