#ifndef TREEITEM_H
#define TREEITEM_H

#include <QVariant>

class TreeItem: public QObject
{
public:
    TreeItem() {}
    virtual ~TreeItem() {}

    virtual const TreeItem* parent() const = 0;
    virtual const TreeItem* child( int aRow ) const = 0;
    virtual int childCount() const = 0;
    virtual int columnCount() const = 0;
    virtual QVariant data( int aColumn ) const = 0;
    virtual int row() const = 0;
    virtual int topParentRow() const = 0;

protected:
    virtual void entryChanged(int, int) {};
    virtual void entriesRemoved(int, int) {};
};

#endif // TREEITEM_H
