#ifndef FIELDSTYLE_H
#define FIELDSTYLE_H

#include <QFont>
#include <QColor>

class FieldStyle
{
public:
    FieldStyle();
    FieldStyle(const QString& family, int size,
        bool bold = true, bool italic = false, const QString& colorName = "",
        const QString& prefix = "", const QString& suffix = "",
        bool hasKeyword = false, const QString& keywordColorName = "#000000");
    FieldStyle getKeywordStyle() const;

public:
    QFont font;
    QColor color;
    QString prefix;
    QString suffix;
    bool hasKeyword;
    bool keywordBold;
    bool keywordItalic;
    QColor keywordColor;
};

#endif
