#ifndef LANGUAGE_MENU_H
#define LANGUAGE_MENU_H

#include <QtWidgets>

class LanguageMenu: public QMenu
{
    Q_OBJECT
public:
    LanguageMenu(QMenu* parent);

private:
    void initUi(QMenu* parent);
    void initLangs();
    void createActionsGroup();
    void createAction(const QString& key);

private slots:
    void saveLanguage();

private:
    QMap<QString, QString> langs;
    QString locale;
    QString systemLocale;
    QActionGroup* actionsGroup;
};

#endif
