#ifndef NUMBER_FRAME_H
#define NUMBER_FRAME_H

#include <QtWidgets>

class NumberFrame: public QLabel
{
public:
    static const int MinWidth = 40;
    static const int MinWidth100 = 50;

public:
    NumberFrame(QWidget* parent = 0);
    void setColor(const QColor& color);
    void setValue(int value);

protected:
    void paintEvent(QPaintEvent* event);

private:
    static const int Radius = 7;
    static const int MinHeight = 16;

private:
    void init();

};

#endif
