#ifndef WARNING_PANEL_H
#define WARNING_PANEL_H

#include <QtWidgets>

class WarningPanel: public QFrame
{
    Q_OBJECT

public:
    WarningPanel(QWidget* parent = 0);
    void setText(const QString& text);

private:
    QLabel* createWarningIconLabel() const;
    QToolButton* createWarningCloseButton() const;
    QHBoxLayout* createWarningLayout();
    void initPanel();

private:
    QLabel* warningLabel;

};

#endif
