#ifndef FIELDSVIEW_H
#define FIELDSVIEW_H

#include <QTableView>

#include "FieldsListModel.h"

class FieldsView : public QTableView
{
    Q_OBJECT
public:
    FieldsView(QWidget *parent = 0);

    FieldsListModel* model() const
        { return qobject_cast<FieldsListModel*>(QAbstractItemView::model()); }

    void startDrag(Qt::DropActions supportedActions);
    void setModel(FieldsListModel *aModel);
public slots:
    void selectIndexes(QList<QPersistentModelIndex> aIndexes);

};

#endif // FIELDSVIEW_H
