#include "ICardPack.h"
#include "Field.h"

const QString ICardPack::SynonymDelimiter = ";";
const QString ICardPack::HomonymDelimiter = "; ";

QString ICardPack::getQuestionFieldName() const
{
    const Field* questionField = getQuestionField();
    if(questionField)
        return questionField->name();
    else
        return QString();
}

QStringList ICardPack::getAnswerFieldNames() const
{
    QStringList list;
    foreach(const Field* field, getAnswerFields())
        if(field)
            list << field->name();
    return list;
}
