#include "CardFilterModel.h"

CardFilterModel::CardFilterModel( QObject* parent ):
    QSortFilterProxyModel( parent )
    {
    }

void CardFilterModel::addFilterRow( int aRow )
    {
    if( m_filterRows.contains( aRow ) )
        return;
    m_filterRows << aRow;
    }

void CardFilterModel::removeFilterRow( int aRow )
    {
    m_filterRows.removeOne( aRow );
    }

bool CardFilterModel::filterAcceptsRow( int source_row, const QModelIndex& source_parent ) const
    {
    Q_UNUSED( source_parent );
    return m_filterRows.contains( source_row );
    }
