#ifndef CARDFILTERMODEL_H
#define CARDFILTERMODEL_H

#include <QSortFilterProxyModel>

class CardFilterModel : public QSortFilterProxyModel
    {
    Q_OBJECT
public:
    CardFilterModel( QObject* parent );
    void addFilterRow( int aRow );
    void removeFilterRow( int aRow );

protected:
    bool filterAcceptsRow( int source_row, const QModelIndex& source_parent ) const;

private:
    QList<int> m_filterRows;
    };

#endif // CARDFILTERMODEL_H
