#ifndef FIELD_CONTENT_PAINTER_H
#define FIELD_CONTENT_PAINTER_H

#include <QtCore>

class FieldContentPainter
{
public:
    virtual ~FieldContentPainter() {}
    virtual void startDrawing() = 0;
    virtual void endDrawing() = 0;
    virtual void drawText(const QString& text) = 0;
    virtual void drawImage(const QString& filePath) = 0;
};
#endif
 
