#ifndef WELCOME_SCREEN_H
#define WELCOME_SCREEN_H

#include <QtCore>
#include <QtWidgets>

class WelcomeScreen: public QWidget
{
    Q_OBJECT

public:
    WelcomeScreen(QWidget* parent);
    void setRecentFilesMenu(QMenu* menu);

public slots:
    void updateRecentFilesButton();

private:
    QPushButton* createWelcomeButton(const QString& iconName, const QString& text,
        const char* slot);

private:
    QPushButton* recentFilesButton;
};
#endif
