#include "RandomGenerator.h"

#include <stdlib.h>
#include <time.h>

RandomGenerator::RandomGenerator()
{
    srand(time(NULL));
}

double RandomGenerator::getInRange_11() const
{
	return 2. * rand() / RAND_MAX - 1;
}

double RandomGenerator::getInRange_01() const
{
    return float(rand()) / RAND_MAX;
}

int RandomGenerator::getRand() const
{
    return rand();
}

int RandomGenerator::getRand(int maxNum) const
{
    return rand() % maxNum;
}

QByteArray RandomGenerator::getArray() const
{
    const int size = 16;
    QByteArray res;
    for(int i = 0; i < size; i++)
        res += rand() % 256;
    return res;
}
